%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	RPM installer/updater
Name:		yum
Version:	3.2.28
Release:	1
License:	GPLv2+
Group:		System/Configuration/Packaging
URL:		http://linux.duke.edu/yum/
Source0:	http://linux.duke.edu/projects/yum/download/3.2/%{name}-%{version}.tar.gz
# CCux Sources
Source200:	yum.conf.ccux
Source201:	ccux-stable.repo
Source202:	ccux-testing.repo
Source203:	ccux-experimental.repo

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch
Requires:	python%{PVER}
Requires:	rpm-python%{PVER}
Requires:	python%{PVER}-iniparse
Requires:	python%{PVER}-pysqlite
Requires:	python%{PVER}-pygpgme
Requires:	python%{PVER}-urlgrabber
Requires:	python%{PVER}-yum-metadata-parser

BuildRequires:	python%{PVER}-devel
BuildRequires:	python%{PVER}-setuptools
BuildRequires:	gettext
BuildRequires:	intltool

Provides:	python%{PVER}-yum = %{version}-%{release}
Obsoletes:	yum <= %{version}-%{release}
Obsoletes:	python25-yum <= %{version}-%{release}

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded 
automatically prompting the user as necessary.

%prep
%setup -q

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" -e "PYTHON=python" "{}" \; )
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,PYTHON=python,PYTHON=python%{PYVER}," $i
done

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -m 644 %{SOURCE200} $RPM_BUILD_ROOT%_sysconfdir/yum.conf
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/yum/pluginconf.d $RPM_BUILD_ROOT/usr/lib/yum-plugins

# move repodir / yum.conf
#mv $RPM_BUILD_ROOT%_sysconfdir/yum/repos.d $RPM_BUILD_ROOT%_sysconfdir/yum.repos.d
rm -f $RPM_BUILD_ROOT/%_sysconfdir/yum/yum.conf

# Install repo configs
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/yum.repos.d/
install -m 0644 %{SOURCE201} $RPM_BUILD_ROOT%_sysconfdir/yum.repos.d/
install -m 0644 %{SOURCE202} $RPM_BUILD_ROOT%_sysconfdir/yum.repos.d/
install -m 0644 %{SOURCE203} $RPM_BUILD_ROOT%_sysconfdir/yum.repos.d/

# yum-updatesd has moved to the separate source version
rm -f $RPM_BUILD_ROOT%_sysconfdir/yum/yum-updatesd.conf 
rm -f $RPM_BUILD_ROOT%_sysconfdir/rc.d/init.d/yum-updatesd
rm -f $RPM_BUILD_ROOT%_sysconfdir/dbus-1/system.d/yum-updatesd.conf
rm -f $RPM_BUILD_ROOT%_sbindir/yum-updatesd
rm -f $RPM_BUILD_ROOT%_mandir/man*/yum-updatesd*
rm -f $RPM_BUILD_ROOT%_datadir/yum-cli/yumupd.py*

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT
#rm -rf $RPM_BUILD_DIR/%{name}*

%files -f %{name}.lang
%defattr(-, root, root, -)
%doc README AUTHORS COPYING TODO INSTALL ChangeLog
%config(noreplace) %_sysconfdir/yum.conf
%config(noreplace) %_sysconfdir/%{name}/version-groups.conf
%dir %_sysconfdir/yum
%dir %_sysconfdir/yum.repos.d
%config(noreplace) %_sysconfdir/logrotate.d/yum
%{_sysconfdir}/bash_completion.d/yum.bash
%dir %_datadir/yum-cli
%_datadir/yum-cli/*
%_bindir/yum
%{python_sitelib}/yum
%{python_sitelib}/rpmUtils
%dir /var/cache/yum
%dir /var/lib/yum
%_mandir/man*/yum.*
%_mandir/man*/yum-shell*
# plugin stuff
%dir %_sysconfdir/yum/pluginconf.d 
%dir /usr/lib/yum-plugins
# ccux repos
%config(noreplace) %_sysconfdir/yum.repos.d/ccux-stable.repo
%config(noreplace) %_sysconfdir/yum.repos.d/ccux-testing.repo
%config(noreplace) %_sysconfdir/yum.repos.d/ccux-experimental.repo

%changelog
* Mon Aug 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.2.28-1
- Version update
* Sun Nov 08 2009 Christian Wasem <wasem@ccux-linux.de> 3.2.25-2
- rebuild against python26-2.6.3-1
* Thu Oct 22 2009 Christian Wasem <wasem@ccux-linux.de> 3.2.25-1
- Version update, build against python25-2.5.4-3
* Thu Apr 30 2009 Christian Wasem <wasem@ccux-linux.de> 3.2.22-1
- Version update, built with explicit /usr/bin/python2.5
* Sat Sep 27 2008 Christian Wasem <wasem@ccux-linux.de> 3.2.19-1
- Version update
* Sun Jul 16 2006 Christian Metzen <metzench@ccux-linux.de> 2.9.3-2
- added repo configs
* Sun Jul 16 2006 Christian Metzen <metzench@ccux-linux.de> 2.9.3-1
- Version update
* Sun Jun 11 2006 Christian Metzen <metzench@ccux-linux.de> 2.6.1-2
- Added Requires for python modules
* Sun Jun 11 2006 Christian Metzen <metzench@ccux-linux.de> 2.6.1-1
- Initial Release
